<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1">

<title>Listado de Vacantes</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
</head>
<body>

	<img th:src="@{ /images/cinema.png }" width="136" height="136" >
	<h1 class="text-primary">Listado de Vacantes</h1>
	<table class="table table-striped table-bordered table-hover">
		<tr>
			<th>Logo</th>
			<th>Id</th>
			<th>Nombre</th>
			<th>Descripcion</th>
			<th>Fecha</th>
			<th>Salario</th>
			<th>Destacado</th>
			<th>Detalle</th>
			<th>Eliminar</th>
		</tr>
		<tr th:each="item: ${vacantes}">
			<td>
				<img th:src="@{/images/{img} ( img = ${item.imagen} ) }" width="136" height="136" >
			</td>
			<td th:text="${item.id}"></td>
			<td th:text="${item.nombre}"></td>
			<td th:text="${item.descripcion}"></td>
			<td th:text="${item.fecha}"></td>
			<td th:text="${item.salario}"></td>
			<!-- <td th:text="${item.destacado}"></td> -->
			
			<!-- Operador ternario Elvis 
			<td th:text="${item.destacado == 1 ? 'SI' : 'NO'}"></td> -->
			
			<td>
				<span th:if = "${item.destacado == 1}" class="badge badge-success">SI</span>
				<span th:unless = "${item.destacado == 1}" class="badge badge-danger">NO</span>
			</td>
			<td>
				<!-- PathvVariable -->
				<a th:href="@{/vacantes/view/{id} (id=${item.id}) }" class="btn btn-success">Detalle</a>
				
				<!-- RequestParam
				<a th:href="@{/vacantes/view2/ (id=${item.id}) }" class="btn btn-success">Detalle2</a>  -->
				
			</td>
			<td>
				<!-- RequestParam -->
				<a th:href="@{/vacantes/delete (id=${item.id}) }" class="btn btn-danger">Eliminar</a>
				
			</td>
		</tr>
	</table>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
</body>
</html>